[SciPy-user] numpy-1.0rc2 still does not build on MacOS X 10.4.7 (PPC)

Robert Kern robert.kern at gmail.com
Tue Oct 17 22:22:27 CDT 2006


Tom Bridgman wrote:

> My 'plan B' will be R. Kern's suggestion of using gFortran,

Actually, my suggestion is to use gcc 4.0. This should be your "Plan A" since 
gcc 3.3 *cannot* be used to build extensions for the Universal build of Python. 
Don't bother futzing with the Makefile.

A side effect of this is that you must use gfortran instead of g77 since g77 was 
never upgraded to work with gcc 4.0. Of course, your FORTRAN compiler does not 
matter when building numpy, just scipy.

> by which  
> I assume he means use gfortran-bin.tar.gz located here: http:// 
> hpc.sourceforge.net/.

Yes, if you like. I use the one from MacPorts, but whatever works for you.

-- 
Robert Kern

"I have come to believe that the whole world is an enigma, a harmless enigma
  that is made terrible by our own mad attempt to interpret it as though it had
  an underlying truth."
   -- Umberto Eco


More information about the SciPy-user mailing list